---
lang: en
title: 'API docs: http-server.httpsoptions'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.http-server.httpsoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-server](./http-server.md) &gt; [HttpsOptions](./http-server.httpsoptions.md)

## HttpsOptions interface

HTTPS server options

<b>Signature:</b>

```typescript
export interface HttpsOptions extends ListenOptions, https.ServerOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [protocol](./http-server.httpsoptions.protocol.md) | <code>'https'</code> |  |


